name: Windows CI
on: [push]

jobs:
  build:
    runs-on: [windows11] 
    steps:
    - name: Checkout code
      uses: actions/checkout@v4
    - name: Build and deploy
      run: |
        resources/build.ps1 build
        resources/build.ps1 deploy
    - name: Generate Changelog
      run: |
        current_tag=$(git describe --tags --abbrev=0)
        previous_tag=$(git describe --tags --abbrev=0 $(git rev-list --tags --skip=1 --max-count=1))
        echo "Commits from ${previous_tag} to ${current_tag}:"
        git log ${previous_tag}..${current_tag} --reverse --pretty=format:"%B" | nl -w2 -s". "
        git log ${previous_tag}..${current_tag} --reverse --pretty=format:"%B" | nl -w2 -s". " > ${{ github.workspace }}-CHANGELOG.txt
    - name: Upload Gitea Release
      uses: akkuman/gitea-release-action@v1
      with:
        body_path: ${{ github.workspace }}-CHANGELOG.txt
        files: |-
          build/SmartLockerTools.zip